Subject: bug#66350: 30.0.50; Description for (use-package emacs ...)

From: Arash Esbati <[email-masked]>
Date: Fri, 06 Oct 2023 19:19:08 +0200

John Wiegley <[email-masked]> writes:

> The ‘(use-package emacs …)‘ declaration has no special meaning. It just takes
> advantage of the fact that ‘(featurep 'emacs)‘ is always true, so in a way
> it’s just for consistency’s sake, and doesn’t actually do anything special.

Thanks for your response.  I wonder which use-package keywords don't
make sense in that form?  The way I see it things like :defer, :init et
al. are useless since we're talking about Emacs with all preloaded
libraries, right?

Best, Arash